# first section is usage
# second section is that config maker will put into config
# third section is full help

module logs
:%*
:
:This module provides support for filing different log messages and rotating\
 those logs.

function logfile
:logfile [-n[ots]] [-h[tml]|-s[tripcolor]] [-y[early]|-m[onthly]|-w[eekly]]\
 [-r[path] rpath] filename level [service]
 logfile -c[lose] filename
:
:Starts or stops (with -c command switch) logfile %_filename%_ which will\
 collect all log events of any type from list %_level%_ that come for\
 %_service%_ (if it's omitted then assume it has value "%^*%^" what means collect\
 events for any destination). See %yhelp console%n for details of %_level%_.
 Additional swithces:
   -nots        don't write timestamps ("[HH:MM] ") at start of each line
   -yearly      rotate logfile once per year
   -monthly     rotate logfile once per month
   -weekly      rotate logfile once per week
   -html        write log in HTML file format using CSS tags
   -stripcolor  remove any color codes from lines written
   -rpath %_rpath%_ set log rotation path to %_rpath%_ instead of default
                one (see %yset logrotate-path%n for details).

set logrotate-path
:%* <template>
:Template for next rotated log file.
:This is template for daily rotated logs, i.e. previous log file will be\
 renamed with that name. Substitutions:
 %%$ - filename of rotated log (current log before rotation)
 %%d, %%b, %%y, etc - date fields as in %gstrftime%n(3)
 Default: "%%$~".

set logfile-lock-attempts
:%* <number>
:Number of lock attempts of log file before giving up.
:This variable defines how much attempts will be made when module trying to\
 save changes into log file on shutdown.
 Default: 16.

set logrotate-time
:%* <HHMM>
:Local time when logs are rotating.
:This variable defines hour and minutes when logs are being rotated.
 Default: "0000".

set logfile-notice-prefix
:%* <string>
:Prefix for channel notices.
:This string is appended to begin of logged line when logging some notices\
 such as joining and quitting users, etc. on personal logs (i.e. logs which\
 may receive any other unprefixable log levels).
 Default: "-|- ".

set log-html-color-time
:%* <string>
:CSS color for timestamp.
:This variable defines what color timestamp will have in HTML log. It is\
 really possible to add other attributes into this variable too but it can\
 be a bit tricky.
 Default: "red".

set log-html-color-info
:%* <string>
:CSS color for informational lines.
:This variable defines what main color each informational line (for example\
 client's join) will have in HTML log. It is really possible to add other\
 attributes into this variable too but it can be a bit tricky.
 Default: "gray".

set log-html-color-action
:%* <string>
:CSS color for text of actions.
:This variable defines what main color client's action text lines will have\
 in HTML log. It is really possible to add other attributes into this variable\
 too but it can be a bit tricky.
 Default: "purple".
